SQLITE3_SNAPSHOT_FREE(3)

NAME
sqlite3_snapshot_free - destroy a snapshot

SYNOPSIS
#include <sqlite3.h>
void
sqlite3_snapshot_free(sqlite3_snapshot*);

DESCRIPTION
The sqlite3_snapshot_free(P) interface destroys sqlite3_snapshot P. The application must eventually free every sqlite3_snapshot object using this routine to avoid a memory leak.

The sqlite3_snapshot_free() interface is only available when the SQLITE_ENABLE_SNAPSHOT compile-time option is used.

IMPLEMENTATION NOTES
These declarations were extracted from the interface documentation at line 11062.

    SQLITE_API void sqlite3_snapshot_free(sqlite3_snapshot*);

SEE ALSO
sqlite3_snapshot(3)